Skip to main content
GET
/
provisioning-tokens
List provisioning tokens
curl --request GET \
  --url https://acusight.io/api/provisioning-tokens \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2024-01-15T10:30:00Z",
      "expires_at": "2024-02-14T10:30:00Z",
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "last_used_at": "2024-01-20T14:45:00Z",
      "name": "Production Line 1",
      "revoked_at": "<string>",
      "single_use": false,
      "use_count": 5
    }
  ],
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Response

List of tokens

data
object[]
error
object
meta
object
success
boolean